Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.higgins.ics.ws.wsdl
Class StsFaultException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.io.IOException
                  java.rmi.RemoteException
                      org.apache.axis.AxisFault
                          org.eclipse.higgins.ics.ws.wsdl.StsFaultException

All Implemented Interfaces:
  Serializable

public class StsFaultException
extends org.apache.axis.AxisFault

See Also:
  Serialized Form

Field Summary
`Object` | `fault`

Fields inherited from class java.rmi.RemoteException
`detail`

Constructor Summary
`StsFaultException()`
`StsFaultException(Exception target)`
`StsFaultException(Object fault)`
`StsFaultException(String message, Throwable t)`

Method Summary
`Object` | `getFault()`
`void` | `writeDetails(javax.xml.namespace.QName qname, org.apache.axis.encoding.SerializationContext context)` Writes the exception data to the faultDetails

Methods inherited from class org.apache.axis.AxisFault
`addFaultDetail, addFaultDetail, addFaultDetailString, addFaultSubCode, addFaultSubCodeAsString, addHeader, addHostname, addHostnameIfNeeded, clearFaultDetails, clearFaultSubCodes, clearHeaders, dump, dumpToString, getFaultActor, getFaultCode, getFaultDetails, getFaultNode, getFaultReason, getFaultRole, getFaultString, getFaultSubCodes, getHeaders, lookupFaultDetail, makeFault, output, printStackTrace, printStackTrace, removeFaultDetail, removeHostname, setFaultActor, setFaultCode, setFaultCode, setFaultCodeAsString, setFaultDetail, setFaultDetailString, setFaultNode, setFaultReason, setFaultRole, setFaultString, toString`

Methods inherited from class java.rmi.RemoteException
`getCause, getMessage`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getStackTrace, initCause, printStackTrace, setStackTrace`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### fault

    public Object fault

Constructor Detail

### StsFaultException

    public StsFaultException()

### StsFaultException

    public StsFaultException(Exception target)

### StsFaultException

    public StsFaultException(String message,
                             Throwable t)

### StsFaultException

    public StsFaultException(Object fault)

Method Detail

### getFault

    public Object getFault()

### writeDetails

    public void writeDetails(javax.xml.namespace.QName qname,
                             org.apache.axis.encoding.SerializationContext context)
                      throws IOException

  Writes the exception data to the faultDetails

  Throws:
    `IOException`

Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD